RDKit::detail Namespace Reference

## Functions

std::string | qhelper (Atom::QUERYATOM_QUERY *q, unsigned int depth)
std::string | qhelper (Bond::QUERYBOND_QUERY *q, unsigned int depth)

## Variables

RDKIT_RDGENERAL_EXPORT const std::string | computedPropName

## Function Documentation

## qhelper() [1/2]

std::string RDKit::detail::qhelper | ( | Atom::QUERYATOM_QUERY * | q,
|  | unsigned int | depth
| ) |  |

inline

Definition at line 116 of file QueryAtom.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::beginChildren(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::endChildren(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getFullDescription().

Referenced by RDKit::describeQuery(), and qhelper().

## qhelper() [2/2]

std::string RDKit::detail::qhelper | ( | Bond::QUERYBOND_QUERY * | q,
|  | unsigned int | depth
| ) |  |

inline

Definition at line 109 of file QueryBond.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::beginChildren(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::endChildren(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getFullDescription(), and qhelper().

## Variable Documentation

## computedPropName

RDKIT_RDGENERAL_EXPORT const std::string RDKit::detail::computedPropName

extern

Referenced by RDKit::RDProps::clearComputedProps(), RDKit::RDProps::clearProp(), RDKit::RDProps::getPropList(), and RDKit::RDProps::setProp().